Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Accumulo >> mail # dev >> Backport of MiniAccumuloCluster v1.5 to v1.4


Copy link to this message
-
Re: Backport of MiniAccumuloCluster v1.5 to v1.4
On Wed, Apr 3, 2013 at 9:43 PM, Corey Nolet <[EMAIL PROTECTED]> wrote:
> The back porting of the proxy is pretty much complete. I have not submitted the patch yet because I am not able to run any automated integration tests without the mini Accumulo cluster. I've gotten pretty far with backporting the Mini Accumulo Cluster and it would be massively useful to have the it in v1.4 (if it works out well). Anyone against submitting a separate patch for this when it's complete?

Are you aware of instamo in github?  Thats where MiniAccumuloCluster
started and that works with 1.4.X.

Usually I would be opposed to adding new APIs to a bug fix release.
I think its confusing to be able to write accumulo code that works
against 1.4.4 and not 1.4.3.  Eventually Alice will have to take code
written by Bob and run it on multiple clusters with different versions
of 1.4.  When things break for Alice breaks because Bob used new APIs
that exist only in 1.4.4 who will get the blame, Bob or us?   I do
understand the appeal as these features are extremely useful.
Personally I also like the Idea of helping Bob.  Also these new
features build on Accumulo and do not modify the core code, so should
not destabilize 1.4.    I am not opposed to this, but I did want to
state my reservations.  Ultimately, as Josh said we just need to get
1.5.0 out the door.

As a practical matter, the since tags in 1.5 would need to change.
Currently MiniAccumuloCluster javadoc says since 1.5.0.   I suppose it
would need to say since 1.4.4.  If we release 1.5.0 before 1.4.4,
which seems likely, it would seem slightly odd for the 1.5.0 to code
to say since 1.4.4 which does not yet exists.
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB